

Mesh.Segment(inbox_edges).NumberOfSegments(15)ġ. Set the local 3D algorithm to tetrahedron for Set the global 3D algorithm to hexahedron # the faces in the list 'inbox_tria_faces Set the local 2D algorithm as triangles for Set the local 1D hypothesis to 15 segments per edge for

Set the global 1D hypothesis to 5 segments per edge Geompy.addToStudyInFather( test_brep_1, inbox_edges, "inbox_edges" ) Inbox_edges = geompy.MakeCompound(inbox_edges) and publish it in the Object Browser window pane as a child of 'test_brep_1'

Make a compound using the list inbox_edges Select specific edges which will be needed for local mesh Explode all the sub-edges of the object 'test_brep_1'Įe = geompy.SubShapeAllSorted(test_brep_1, geompy.ShapeType) Geompy.addToStudyInFather( test_brep_1, inbox_tria_faces, "inbox_tria_faces" ) Inbox_tria_faces = geompy.MakeCompound(inbox_tria_faces) Make a compound using the list 'inbox_tria_faces' Select specific faces which will be needed for local mesh Explode all the sub-faces of the object test_brep_1įf = geompy.SubShapeAllSorted(test_brep_1, geompy.ShapeType) Geompy.addToStudyInFather( test_brep_1, inner_box, "inner box" ) Inner_box = geompy.SubShapeAllSorted(test_brep_1, geompy.ShapeType) Explode the 3rd sub-solid of the object 'test_brep_1' Test_brep_1 = geompy.ImportBREP(brep_file) Without it this website's Wiki page does not work! then publish it so it will show up in the Object Browser window pane
Nedit binaries linux full#
Set the full path and name of the BREP file and # Setup the current study called 'myStudy'

Salome will process the script and when you switch to the MESH module's VTK display, you will see a mesh as seen below: Use File -> Load Script (or and select the script from where you had saved it. Start Salome and open a new study in the GEOM module. Extract the BREP file inside it to the /tmp subdirectory.Ĭopy and paste the script below to any text editor (gedit, kedit, nedit, etc) then save it to any convenient location (say ~/ i.e.
Nedit binaries linux zip file#
You will also need the test.brep file contained in test.zip which should be saved to any convenient place such as /tmp as used for the demonstration here.ĭownload the zip file from the Salome forum or here: Salome-TUI-HexaTetra.zip (it was just renamed here for clarity, but the contents are the same as test.zip of the Salome forum. The script is posted at:, but is reproduced here with extensive embedded comments for the python novice. It is an elegant example of utilizing a python script to create a well structured hexahedral mesh around a tetrahedral mesh all in 3D. This short tutorial is based largely on contributions of others in the Salome forum. Salome Python script for Hexahedral & Tetrahedral elements Mesh a CFD field with Hexahedral & Tetrahedral elements 1.1 Mesh a CFD field with Hexahedral & Tetrahedral elements.1 Salome Python script for Hexahedral & Tetrahedral elements.
